Межсайтовый скриптинг и SQL-инъекция в Joomla! VirtueMart

Дата публикации:
02.09.2013
Дата изменения:
05.09.2013
Всего просмотров:
2045
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:P/E:U/RL:OF/RC:C) = Base:7.5/Temporal:5.5
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:U/RC:C) = Base:4.3/Temporal:3.7
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
VirtueMart 2.x (component for Joomla!)
Уязвимые версии: Joomla! VirtueMart версии до 2.0.22b

Описание:
Уязвимости позволяют удаленному пользователю выполнить произвольные SQL команды в базе данных приложения и произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "virtuemart_userinfo_id" в сценарии index.php, когда "option" равен "com_virtuemart", "view" равен "user" и "task" равен "removeAddressST". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://virtuemart.net/

Решение: Установите последнюю версию 2.0.22b с сайта производителя.

Ссылки: http://virtuemart.net/news/list-all-news/445-virtuemart2go-and-important-updates
http://archives.neohapsis.com/archives/bugtraq/2013-08/0145.html

или введите имя

CAPTCHA